> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lister les ordres de fabrication

> Renvoie les ordres de fabrication, de la plus récente à la plus ancienne.

Renvoie les ordres de fabrication, de la plus récente à la plus ancienne.

```json Réponse theme={null}
{
  "manufacturingOrders": [
    {
      "id": 30,
      "reference": "OF-0030",
      "quantity": 150,
      "dueDate": "2026-08-20",
      "stockAvailability": "AVAILABLE",
      "article": {
        "code": "CAM-PEEK",
        "name": "Came PEEK"
      },
      "site": {
        "id": 1,
        "name": "Atelier Nord"
      }
    }
  ]
}
```


## OpenAPI

````yaml openapi.json GET /manufacturing-orders
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /manufacturing-orders:
    get:
      summary: List manufacturing orders
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - in: query
          name: limit
          required: false
          schema:
            default: 20
            type: integer
        - in: query
          name: offset
          required: false
          schema:
            default: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  manufacturingOrders:
                    items:
                      nullable: false
                      properties:
                        article:
                          description: >-
                            Articles with physical reality (= manage-able in
                            stock). This table includes all article types (raw
                            materials, semi-finished, finished products,
                            consumables, etc.)
                          nullable: true
                          properties:
                            code:
                              nullable: true
                              type: string
                            id:
                              nullable: false
                              type: integer
                            name:
                              nullable: false
                              type: string
                            unit:
                              nullable: true
                              type: string
                          type: object
                        dueDate:
                          $ref: '#/components/schemas/date'
                        id:
                          nullable: false
                          type: integer
                        quantity:
                          $ref: '#/components/schemas/numeric'
                        reference:
                          nullable: false
                          type: string
                        site:
                          nullable: false
                          properties:
                            id:
                              nullable: false
                              type: integer
                            name:
                              nullable: false
                              type: string
                          type: object
                        step:
                          nullable: true
                          properties:
                            id:
                              nullable: false
                              type: integer
                            name:
                              nullable: false
                              type: string
                          type: object
                        stockAvailability:
                          nullable: true
                          type: string
                      type: object
                    nullable: false
                    type: array
          description: Response
components:
  schemas:
    date:
      nullable: false
    numeric:
      nullable: false

````